#include "libx68k.h"

#define	MAXOUT	7168
#undef write

int writex68k(int fd, char *buf, int len)
{
    int  cnt, maxout_cnt, out_cnt, totalout_cnt = 0;

    maxout_cnt = len / MAXOUT;
    out_cnt = len % MAXOUT;
    
    while (maxout_cnt){
        if ((cnt = write(fd, buf, MAXOUT)) == -1){
            return -1;
        }
        totalout_cnt += cnt;
        if (cnt != MAXOUT){
            return totalout_cnt;
        }
        buf += MAXOUT;
        maxout_cnt--;
    }
    if ((cnt = write(fd, buf, out_cnt)) == -1){
        return -1;
    }
    totalout_cnt += cnt;
    return totalout_cnt;
}

